- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDPhysicsAnalyticalGeometry Class Reference
[COLLADA Document Object Model.]

A COLLADA physics analytical geometry. More...

`#include <FCDPhysicsAnalyticalGeometry.h>`

Inheritance diagram for FCDPhysicsAnalyticalGeometry:

List of all members.

## Public Types
enum | GeomType { BOX, PLANE, SPHERE, CYLINDER, CAPSULE, TAPERED_CYLINDER, TAPERED_CAPSULE }
| The geometry type of the analytical geometry class. More...
## Public Member Functions
| FCDPhysicsAnalyticalGeometry (FCDocument *document)
| Constructor: do not use directly.
virtual | ~FCDPhysicsAnalyticalGeometry ()
| Destructor.
virtual Type | GetType () const
| Retrieves the entity type for this class.
virtual GeomType | GetGeomType () const =0
| Retrieves the analytical geometry type for this class.
virtual float | CalculateVolume () const =0
| Calculates the volume of this analytical geometry.
virtual FCDEntity * | Clone (FCDEntity *clone=NULL, bool cloneChildren=false) const
| Copies the analytical geometry into a clone.

## Detailed Description

A COLLADA physics analytical geometry.

## Member Enumeration Documentation

enum FCDPhysicsAnalyticalGeometry::GeomType

  | The geometry type of the analytical geometry class. Used this information to up-cast an entity instance. Enumerator:
  BOX | A box.
  PLANE | An infinate plane.
  SPHERE | A sphere.
  CYLINDER | A cylinder.
  CAPSULE | A cylinder with spheres at the end.
  TAPERED_CYLINDER | A cylinder with different sized flat faces.
  TAPERED_CAPSULE | A capsule with different sized spheres.

## Constructor & Destructor Documentation

FCDPhysicsAnalyticalGeometry::FCDPhysicsAnalyticalGeometry | ( | FCDocument * | document | ) |

  | Constructor: do not use directly. Create new analytical geometries by using FCDPhysicsShape::CreateAnalyticalGeometry function. Parameters:
  | document | The COLLADA document that contains this physics scene.

## Member Function Documentation

virtual float FCDPhysicsAnalyticalGeometry::CalculateVolume | ( |  | ) | const`[pure virtual]`

| Calculates the volume of this analytical geometry. Returns: The volume. Implemented in FCDPASBox, FCDPASPlane, FCDPASSphere, FCDPASCylinder, FCDPASCapsule, FCDPASTaperedCapsule, and FCDPASTaperedCylinder.

virtual FCDEntity* FCDPhysicsAnalyticalGeometry::Clone | ( | FCDEntity * | clone = `NULL`,
|  | bool | cloneChildren = `false`
| ) | const`[virtual]`

  | Copies the analytical geometry into a clone. Parameters:
  | clone | The empty clone. If this pointer is NULL, a analytical geometry will be created and you will need to release the returned pointer manually.
  | cloneChildren | Whether to recursively clone this entity's children.
Returns: The clone. Reimplemented from FCDEntity. Reimplemented in FCDPASBox, FCDPASPlane, FCDPASSphere, FCDPASCylinder, FCDPASCapsule, and FCDPASTaperedCylinder.

virtual GeomType FCDPhysicsAnalyticalGeometry::GetGeomType | ( |  | ) | const`[pure virtual]`

| Retrieves the analytical geometry type for this class. Returns: The analytical geometry type. Implemented in FCDPASBox, FCDPASPlane, FCDPASSphere, FCDPASCylinder, FCDPASCapsule, FCDPASTaperedCapsule, and FCDPASTaperedCylinder.

virtual Type FCDPhysicsAnalyticalGeometry::GetType | ( |  | ) | const`[inline, virtual]`

| Retrieves the entity type for this class. This function is part of the FCDEntity interface. Returns: The entity type: PHYSICS_ANALYTICAL_GEOMETRY. Reimplemented from FCDEntity.

The documentation for this class was generated from the following file:

- FCDocument/FCDPhysicsAnalyticalGeometry.h